# Uses of Interface
org.bukkit.conversations.ConversationCanceller

Packages that use ConversationCanceller
Package
Description
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.

## Uses of ConversationCanceller in org.bukkit.conversations

Classes in org.bukkit.conversations that implement ConversationCanceller
Modifier and Type
Class
Description
`class`
`ExactMatchConversationCanceller`
An ExactMatchConversationCanceller cancels a conversation if the user enters an exact input string
`class`
`InactivityConversationCanceller`
An InactivityConversationCanceller will cancel a `Conversation` after a period of inactivity by the user.
`class`
`ManuallyAbandonedConversationCanceller`
The ManuallyAbandonedConversationCanceller is only used as part of a `ConversationAbandonedEvent` to indicate that the conversation was manually abandoned by programmatically calling the abandon() method on it.
Fields in org.bukkit.conversations with type parameters of type ConversationCanceller
Modifier and Type
Field
Description
`protected List<ConversationCanceller>`
Conversation.`cancellers`
`protected List<ConversationCanceller>`
ConversationFactory.`cancellers`
Methods in org.bukkit.conversations that return ConversationCanceller
Modifier and Type
Method
Description
`@NotNull ConversationCanceller`
ConversationCanceller.`clone()`
Allows the `ConversationFactory` to duplicate this ConversationCanceller when creating a new `Conversation`.
`@NotNull ConversationCanceller`
ExactMatchConversationCanceller.`clone()`
`@NotNull ConversationCanceller`
InactivityConversationCanceller.`clone()`
`@NotNull ConversationCanceller`
ManuallyAbandonedConversationCanceller.`clone()`
`@Nullable ConversationCanceller`
ConversationAbandonedEvent.`getCanceller()`
Gets the object that caused the conversation to be abandoned.
Methods in org.bukkit.conversations that return types with arguments of type ConversationCanceller
Modifier and Type
Method
Description
`@NotNull List<ConversationCanceller>`
Conversation.`getCancellers()`
Gets the list of `ConversationCanceller`s
Methods in org.bukkit.conversations with parameters of type ConversationCanceller
Modifier and Type
Method
Description
`@NotNull ConversationFactory`
ConversationFactory.`withConversationCanceller(@NotNull ConversationCanceller canceller)`
Adds a `ConversationCanceller` to constructed conversations.
Constructors in org.bukkit.conversations with parameters of type ConversationCanceller
Modifier
Constructor
Description
``
`ConversationAbandonedEvent(@NotNull Conversation conversation, @Nullable ConversationCanceller canceller)`